setwd("/Users/sebastian/Sebastian (DiskStation)/Uni/Forschung/Projekte/CI")
#setwd("D:/Temp/miningchallenge")

# read project information
tr_projects <- read.csv("tr_projects.csv", header=TRUE, sep=";", quote="\"", na.strings=c(""), stringsAsFactors=FALSE)

# parse timestamps
tr_projects$tr_first_build <- as.POSIXlt(tr_projects$tr_first_build, tz="UTC")
tr_projects$tr_last_build <- as.POSIXlt(tr_projects$tr_last_build, tz="UTC")
tr_projects$gh_first_commit <- as.POSIXlt(tr_projects$gh_first_commit, tz="UTC")
tr_projects$gh_last_commit <- as.POSIXlt(tr_projects$gh_last_commit, tz="UTC")

# filter projects
tr_sample <- tr_projects[tr_projects$tr_timespan_before_ci >= 365 & tr_projects$tr_timespan_during_ci >= 365,]
# write project sample
write.table(tr_sample, file="tr_projects_sample.csv", sep=";", col.names=TRUE, row.names=FALSE, na="", quote=TRUE, qmethod="double", fileEncoding="UTF-8")
