--- Status: 20.07.2017

--- analyze languages in project sample
SELECT gh_lang, COUNT(*) as project_count
FROM
  (SELECT s.gh_project_name as gh_project_name, gh_lang
  FROM `travistorrent.tr_projects_sample` s
  JOIN `travistorrent.travistorrent_11_1_2017` t
  ON s.gh_project_name = t.gh_project_name
  GROUP BY gh_project_name, gh_lang)
GROUP BY gh_lang
ORDER BY project_count DESC;

--- gh_lang		project_count
--- ruby			366
--- java 			176
--- javascript	2

--- get java_script project (because data set should only contain Java and Ruby projects)
SELECT s.gh_project_name as gh_project_name, gh_lang
FROM `travistorrent.tr_projects_sample` s
JOIN `travistorrent.travistorrent_11_1_2017` t
ON s.gh_project_name = t.gh_project_name
GROUP BY gh_project_name, gh_lang
HAVING gh_lang="javascript";

--- gh_project_name               gh_lang
--- palantir/eclipse-typescript	  javascript 	 
--- dianping/cat	                javascript 	

=> Both are Java projects containing some JavaScript code.

=> 366 Ruby projects, 178 Java projects.

--- Filtered projects:
SELECT gh_lang, COUNT(*) as project_count
FROM `travistorrent.tr_projects_sample_filtered`
GROUP BY gh_lang
ORDER BY project_count DESC;

--- gh_lang		project_count
--- ruby			214
--- java 			107

=> 214 Ruby projects, 107 Java projects.

--- Further filtered project:
SELECT gh_lang, COUNT(*) as project_count
FROM `travistorrent.tr_projects_sample_filtered_2`
GROUP BY gh_lang
ORDER BY project_count DESC;
--- gh_lang		project_count
--- ruby			89
--- java 			24

